Bug 502591 - Review Request: btnx - Button Extension- a GNU/GPL mouse tool for GNU/Linux
Review Request: btnx - Button Extension- a GNU/GPL mouse tool for GNU/Linux
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 502592
  Show dependency treegraph
 
Reported: 2009-05-26 07:21 EDT by Zarko (grof)
Modified: 2009-06-04 02:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 02:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zarko (grof) 2009-05-26 07:21:27 EDT
Spec URL: http://wiki.open.hr/~zpintar/fedora-11/SPECS/btnx.spec
SRPM URL: http://wiki.open.hr/~zpintar/fedora-11/SRPMS/btnx-0.4.11-2.fc11.src.rpm

Description: 
btnx is a daemon that enables rerouting of mouse button events through uinput 
as keyboard and other mouse button combinations. For example, you can 
configure an extra mouse button to send a Ctrl+Alt+Right command to switch 
workspaces. This is especially useful for mice with more buttons than Gnome 
or KDE can properly handle, or mice that need evdev and a 100 step howto to 
register button events at all. btnx integrates revoco, a program that allows 
changing MX Revolution's wheel behavior.

So, rpmlint is clean, and Koji scratch builds are here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1376801
http://koji.fedoraproject.org/koji/taskinfo?taskID=1376787
Comment 1 Zarko (grof) 2009-05-27 03:54:31 EDT
I found a little bug in my spec file, so I resolved this.

Daemon did not start at starting of X (runlevel 5), so I added line to correct this.

Spec URL: http://wiki.open.hr/~zpintar/fedora-11/SPECS/btnx.spec
SRPM URL:
http://wiki.open.hr/~zpintar/fedora-11/SRPMS/btnx-0.4.11-3.fc11.src.rpm
Comment 2 Paulo Roma Cavalcanti 2009-06-02 13:25:03 EDT
Hi,

I am trying btnx, but according to the manual:

http://www.ollisalonen.com/btnx/man/btnx-manual.html#troubleshoot-xorg

section 12.2.1

"Most importantly, make sure you are not using the evdev driver."

Isn't evdev the default since F10? Mouse and keyboard configuration
are ignored in xorg.conf unless there is clause:

Option "AutoAddDevices" "false" 

in the server flags section.
Comment 3 Zarko (grof) 2009-06-02 16:35:02 EDT
(In reply to comment #2)
> 
> "Most importantly, make sure you are not using the evdev driver."
> 
> Isn't evdev the default since F10? Mouse and keyboard configuration
> are ignored in xorg.conf unless there is clause:
> 
> Option "AutoAddDevices" "false" 
> 
> in the server flags section.  

Alas! That can be a big problem...

But before analyzing this spec file, I'll contact upstream to investigate which problems can be produced from this btnx <-> evdev relationships..

If this issues are unsloving, then I'll close this bug threat and abandon package.

In meanwhile, can you test btnx at your PC, because at my Fedora 10 it works fine. 
(xorg.conf is set up with Livna configuration manager, without these settings in Server flags section)
Comment 4 Paulo Roma Cavalcanti 2009-06-02 17:06:03 EDT
I installed btnx and btnx-config on F10, and could configure it.

However, as I said, x is using evdev even if I add a mouse and keyboard 
session in xorg.conf.

(==) Automatically adding devices
(==) Automatically enabling devices
(==) FontPath set to:
        catalogue:/etc/X11/fontpath.d,
        built-ins
(**) ModulePath set to "/usr/lib64/xorg/modules/extensions/nvidia,/usr/lib64/xorg/modules/extensions,/usr/lib64/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd' or 'mouse' will be disabled.
(WW) Disabling Keyboard0
(WW) Disabling Mouse0


The only way to avoid this, is using the flag I mentioned. But maybe it works
with evdev. I will try to associate something to one of my mouse buttons.
Comment 5 Zarko (grof) 2009-06-04 02:19:03 EDT
I contacted upstream about evdev incompatibility and maintaining. 
Here is the answer:
----------------------------------------------------------------------
btnx is unofficially dead and I have moved onto other things. It's
been a while since I looked at what caused the problems so my memory
is a little rusty. But at least one problem was that evdev locked the
input device preventing btnx from reading it. I remember doing some
stuff with HAL (I don't remember the module name anymore) and I got
around the problem, but it ended up being too complicated to make
casual users go through the process and mistakes could lead to an
unstartable X session.
----------------------------------------------------------------------

According to this, I'm closing this thread.

Note You need to log in before you can comment on or make changes to this bug.